Visual LISP, AutoLISP and General Customization

Reply
Active Member
Posts: 9
Registered: ‎04-20-2007
Message 1 of 1 (118 Views)

Changing MEP duct properties via lisp eg LiningThickness and Insulation

118 Views, 0 Replies
12-17-2009 12:05 PM
Hello,

Please does somebody know why the following lisp retuns an error "lisp value has no coercion to VARIANT with this type:"

It really should work. Select a MEP duct.

(setq obje (vlax-ename->vla-object (car (entsel))))
(vlax-put-property obje 'InsulationThickness 0)

or even this gets the property - which it does OK and then try to set it to the same.

(setq lith (vlax-get-property obje 'LiningThickness))
(vlax-put-property obje 'InsulationThickness lith)

Thanks in advance
David

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Welcome to the new Autodesk Community!
If this is your first visit, click here to get started and make the most of the Community. Let us know what you think of the new experience in the Community Feedback Forum.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community